/*
 * $Id: setup.h,v 1.9 2003/07/10 10:00:55 short Exp $
 */

#define CONFIG_MAIN "/etc/" PACKAGE "rc" /* global configuration file */
#define CONFIG_HOME    "/." PACKAGE "rc" /* user-local cfg file,
                                            $HOME is prepended automatically */
#define DEF_DEVICE "/dev/mdsms" /* --device default */
#define DEF_LOGNAME "" /* --log default */
#ifndef DEF_LOCKFILE
#define DEF_LOCKFILE "/var/lock/LCK..%s" /* --lockfile default */
#endif
#define DEF_BAUD 19200 /* --baud default */
#define DEF_MAXRETRY 3 /* --maxretry default */
#define DEF_READTIME_MOBILDOCK 3600 /* --readtime default for MobilDock */
#define DEF_READTIME 5 /* --readtime default */
#define EXT_READTIME 10 /* --readtime multiply for long running commands */
#define DEF_CHARTIME 10 /* --chartime default
                           (500ms per 80char=6.25ms recommended by Siemens */
#define DEF_CMDTIME 500 /* --cmdtime default */
#define DEF_WAITTIME 500 /* --waittime default */
#define WORD_NET "net" /* load as network logo */
#define WORD_GROUP "group" /* load as group graphics */
#define MAXCONFIG 4096 /* maximum allowed size of any configuration file */
#define MAXCFGARGS 256 /* maximum allowed number of arguments in cfg file */
#define MAXCFGLOOP 5 /* maximum number of recursive opens in cfg files */
#define MAXCFGNUM 20 /* total maximum number of cfgs read during one run */
#define DEVLOCK_PERIOD 2 /* seconds between attempts to obtain a lockfile */
#define DEVLOCK_MAXEMPTY 1 /* seconds to wait while lockfile is empty
                              to prevent races during lock creation */
#define MAXSENDTIME 2 /* max. allowed number of seconds for sending one char */
#define LOCKREPORT 15 /* report to logfile if device lock took more than
                         this parameter taken in seconds */
#define ADDR_NAT 0x81 /* PDU address type for non-'+' numbers */
#define ADDR_INT 0x91 /* PDU address type for numbers prefixed by '+' */
#define PDU_TYPE 0x11 /* first byte of PDU, SMS submit */
#define PDU_MR   0x00 /* default message reference, filled by Siemens A1 */
#define PDU_PID  0x00 /* PDU protocol identifier, SMS message type */
#define PDU_DCS  0x00 /* PDU Data Coding Scheme, 7-bit class-2 message */
#define PDU_VP   0xFF /* PDU Validity Period, maximum relative time */
#define MAXNUMLEN 20 /* maximum number of digits in GSM number */
#define MAXBODYLEN 160 /* maximum length of characters in SMS body */
#define BODYLOAD 200 /* number of bytes to read when body not on command line */
#define ERROR_SUBSTR1 "ERROR" /* first failure ind. substring in A1 response */
#define ERROR_SUBSTR2 "\nError:" /* second such, this one from MobilDock */
#define REPL_NULLCHAR ' ' /* char for replace when '\0' is read from device */
#define RECEIVE_TEST 0 /* debugging test of --receive */
